scim::SignalSlot2< T, R, P1, P2 > Class Template Reference
SignalSlot

`#include <scim_slot.h>`

## Public Member Functions

| SignalSlot2 (T *signal, PF function)
virtual R | call (P1 p1, P2 p2) const
| Calls the signal handler connected to this slot.
Public Member Functions inherited from scim::Slot2< R, P1, P2 >
R | operator() (P1 p1, P2 p2) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot2< R, P1, P2 >
| Slot2 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Constructor & Destructor Documentation

## SignalSlot2()

template<typename T, typename R, typename P1, typename P2>

scim::SignalSlot2< T, R, P1, P2 >::SignalSlot2 | ( | T * | signal,
|  | PF | function )

inline

## Member Function Documentation

## call()

template<typename T, typename R, typename P1, typename P2>

virtual R scim::SignalSlot2< T, R, P1, P2 >::call | ( | P1 | p1,
|  | P2 | p2 ) const

inline virtual

Calls the signal handler connected to this slot.

Implements scim::Slot2< R, P1, P2 >.

The documentation for this class was generated from the following file:

- scim_slot.h